/// @description Advance the transition

close_level = 1.1;  // 1 means just until they meet, 1.2 will overlap and 
				  // appear like they stay close for just a second
if (mode != TRANS_MODE.OFF) 
{
	if (mode == TRANS_MODE.INTRO)
	{
		//percent = max(0,percent-0.05); // a simple option - smooth constant speed
		percent = max(0,percent-max((percent/10),0.005));
			//either reduces the percent by 1/10, or uses .005 so we actually reach the end
			
		
	}
	else
	{
		//percent = min(1,percent+0.05); // a simple option - smooth constant speed
		percent = min(close_level,percent+max(((close_level - percent)/10),0.005));
	}
}

if (percent == close_level) or (percent == 0)
{
	switch (mode)
		{
			case TRANS_MODE.INTRO:
			{
				mode = TRANS_MODE.OFF;
				// we're done with the transition
				break;
			}
			case TRANS_MODE.NEXT:
			{
				mode = TRANS_MODE.INTRO;
				room_goto_next(); // this will send us to the next room
				break;
			}
			case TRANS_MODE.GOTO:
			{
				mode = TRANS_MODE.INTRO;
				room_goto(target);
				break;
			}
			case TRANS_MODE.RESTART:
			{
				game_restart();
				break;
			}
		}
}
